Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.regex
Interface RegularExpression

All Superinterfaces:
  java.io.Serializable

All Known Implementing Classes:
  JRegularExpression

    public interface RegularExpression

extends java.io.Serializable

This interface represents a compiled regular expression

Field Summary
`static int` | `NATIVE_SYNTAX` Constant indicating the regular expression syntax is the native syntax for the platform (Java or .NET)
`static int` | `XML_SCHEMA_SYNTAX` Constant indication the regular expression language is XML Schema Part 2
`static int` | `XPATH_SYNTAX` Constant indicating the regular expression language is XPath 2.0

Method Summary
`RegexIterator` | `analyze(java.lang.CharSequence input)` Use this regular expression to analyze an input string, in support of the XSLT analyze-string instruction.
`boolean` | `containsMatch(java.lang.CharSequence input)` Determine whether the regular expression contains a match of a given string
`boolean` | `matches(java.lang.CharSequence input)` Determine whether the regular expression match a given string in its entirety
`java.lang.CharSequence` | `replace(java.lang.CharSequence input, java.lang.CharSequence replacement)` Replace all substrings of a supplied input string that match the regular expression with a replacement string.
`SequenceIterator` | `tokenize(java.lang.CharSequence input)` Use this regular expression to tokenize an input string.

Field Detail

### XPATH_SYNTAX

    static final int XPATH_SYNTAX

  Constant indicating the regular expression language is XPath 2.0

  See Also:
    Constant Field Values

### XML_SCHEMA_SYNTAX

    static final int XML_SCHEMA_SYNTAX

  Constant indication the regular expression language is XML Schema Part 2

  See Also:
    Constant Field Values

### NATIVE_SYNTAX

    static final int NATIVE_SYNTAX

  Constant indicating the regular expression syntax is the native syntax for the platform (Java or .NET)

  See Also:
    Constant Field Values

Method Detail

### matches

    boolean matches(java.lang.CharSequence input)

  Determine whether the regular expression match a given string in its entirety

  Parameters:
    `input` - the string to match
  Returns:
    true if the string matches, false otherwise

### containsMatch

    boolean containsMatch(java.lang.CharSequence input)

  Determine whether the regular expression contains a match of a given string

  Parameters:
    `input` - the string to match
  Returns:
    true if the string matches, false otherwise

### tokenize

    SequenceIterator tokenize(java.lang.CharSequence input)

  Use this regular expression to tokenize an input string.

  Parameters:
    `input` - the string to be tokenized
  Returns:
    a SequenceIterator containing the resulting tokens, as objects of type StringValue

### analyze

    RegexIterator analyze(java.lang.CharSequence input)

  Use this regular expression to analyze an input string, in support of the XSLT analyze-string instruction. The resulting RegexIterator provides both the matching and non-matching substrings, and allows them to be distinguished. It also provides access to matched subgroups.

  Parameters:
    `input` - the character string to be analyzed using the regular expression
  Returns:
    an iterator over matched and unmatched substrings

### replace

    java.lang.CharSequence replace(java.lang.CharSequence input,
                                   java.lang.CharSequence replacement)
                                   throws XPathException

  Replace all substrings of a supplied input string that match the regular expression with a replacement string.

  Parameters:
    `input` - the input string on which replacements are to be performed
    `replacement` - the replacement string in the format of the XPath replace() function
  Returns:
    the result of performing the replacement
  Throws:
    `XPathException` - if the replacement string is invalid

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) Saxonica Limited. All rights reserved.